## lbfgsb 3.0+dfsg.4

=== Makefile ===
FC = gfortran

FFLAGS = -O -Wall -fbounds-check -g -Wno-uninitialized 

DRIVER1_77 = driver1.f
DRIVER2_77 = driver2.f
DRIVER3_77 = driver3.f

DRIVER1_90 = driver1.f90
DRIVER2_90 = driver2.f90
DRIVER3_90 = driver3.f90

LBFGSB  = lbfgsb.f
LINPACK = linpack.f
BLAS    = blas.f
TIMER   = timer.f

all :  lbfgsb_77_1 lbfgsb_77_2 lbfgsb_77_3 lbfgsb_90_1 lbfgsb_90_2 lbfgsb_90_3 


lbfgsb_77_1 : $(DRIVER1_77) $(LBFGSB) $(LINPACK) $(BLAS) $(TIMER)
	$(FC) $(FFLAGS) $(DRIVER1_77) $(LBFGSB) $(LINPACK) $(BLAS) $(TIMER) -o x.lbfgsb_77_1

lbfgsb_77_2 : $(DRIVER2_77) $(LBFGSB) $(LINPACK) $(BLAS) $(TIMER)
	$(FC) $(FFLAGS) $(DRIVER2_77) $(LBFGSB) $(LINPACK) $(BLAS) $(TIMER) -o x.lbfgsb_77_2

lbfgsb_77_3 : $(DRIVER3_77) $(LBFGSB) $(LINPACK) $(BLAS) $(TIMER)
	$(FC) $(FFLAGS) $(DRIVER3_77) $(LBFGSB) $(LINPACK) $(BLAS) $(TIMER) -o x.lbfgsb_77_3

lbfgsb_90_1 : $(DRIVER1_90) $(LBFGSB) $(LINPACK) $(BLAS) $(TIMER)
	$(FC) $(FFLAGS) $(DRIVER1_90) $(LBFGSB) $(LINPACK) $(BLAS) $(TIMER) -o x.lbfgsb_90_1

lbfgsb_90_2 : $(DRIVER2_90) $(LBFGSB) $(LINPACK) $(BLAS) $(TIMER)
	$(FC) $(FFLAGS) $(DRIVER2_90) $(LBFGSB) $(LINPACK) $(BLAS) $(TIMER) -o x.lbfgsb_90_2

lbfgsb_90_3 : $(DRIVER3_90) $(LBFGSB) $(LINPACK) $(BLAS) $(TIMER)
	$(FC) $(FFLAGS) $(DRIVER3_90) $(LBFGSB) $(LINPACK) $(BLAS) $(TIMER) -o x.lbfgsb_90_3

## lbfgsb 3.0%2Bdfsg.3

=== debian/changelog ===
lbfgsb (3.0+dfsg.3-1build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 17:18:56 +0000

lbfgsb (3.0+dfsg.3-1) unstable; urgency=medium

  * Remove repack script and have uscan read Files-Excluded from
    debian/copyright instead.

 -- Gard Spreemann <gspreemann@gmail.com>  Mon, 19 Sep 2016 18:30:54 +0200

lbfgsb (3.0+dfsg.2-1) unstable; urgency=medium

  * Remove unused blas.f and linpack.f during repack.
  * -examples package with example programs (compiled and source) and
    output from upstream.
  * -doc package split off from main lib package.
  * Multi-arch support for the library packages.
  * Explicitly set compile flags.
  * Enable hardening.
  
 -- Gard Spreemann <gspreemann@gmail.com>  Fri, 20 May 2016 18:04:05 +0200

lbfgsb (3.0+dfsg.1-1) unstable; urgency=medium

  * Initial packaging. Closes: #811069

 -- Gard Spreemann <gspreemann@gmail.com>  Wed, 11 May 2016 12:12:59 +0200

=== debian/control ===
Source: lbfgsb
Maintainer: Gard Spreemann <gspreemann@gmail.com>
Section: math
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), gfortran, libblas-dev, liblapack-dev, dh-exec
Homepage: http://users.iems.northwestern.edu/~nocedal/lbfgsb.html

Package: liblbfgsb0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Limited-memory quasi-Newton bound-constrained optimization
 Fortran library implementing limited-memory quasi-Newton
 bound-constrained optimization as described in [1,2,3].
 .
 This package contains the library itself.
 .
 [1] R. H. Byrd, P. Lu and J. Nocedal. A Limited Memory Algorithm for
 Bound Constrained Optimization, (1995), SIAM Journal on Scientific
 and Statistical Computing , 16, 5, pp. 1190-1208.
 .
 [2] C. Zhu, R. H. Byrd and J. Nocedal. L-BFGS-B: Algorithm 778:
 L-BFGS-B, FORTRAN routines for large scale bound constrained
 optimization (1997), ACM Transactions on Mathematical Software, Vol
 23, Num. 4, pp. 550 - 560.
 .
 [3] J.L. Morales and J. Nocedal. L-BFGS-B: Remark on Algorithm 778:
 L-BFGS-B, FORTRAN routines for large scale bound constrained
 optimization (2011), to appear in ACM Transactions on Mathematical
 Software.

Package: liblbfgsb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, liblbfgsb0 (= ${binary:Version})
Suggests: liblbfgsb-doc, liblbfgsb-examples
Description: Limited-memory quasi-Newton bound-constrained optimization (static library)
 Fortran library implementing limited-memory quasi-Newton
 bound-constrained optimization as described in [1,2,3].
 .
 This package contains the static library.
 .
 [1] R. H. Byrd, P. Lu and J. Nocedal. A Limited Memory Algorithm for
 Bound Constrained Optimization, (1995), SIAM Journal on Scientific
 and Statistical Computing , 16, 5, pp. 1190-1208.
 .
 [2] C. Zhu, R. H. Byrd and J. Nocedal. L-BFGS-B: Algorithm 778:
 L-BFGS-B, FORTRAN routines for large scale bound constrained
 optimization (1997), ACM Transactions on Mathematical Software, Vol
 23, Num. 4, pp. 550 - 560.
 .
 [3] J.L. Morales and J. Nocedal. L-BFGS-B: Remark on Algorithm 778:
 L-BFGS-B, FORTRAN routines for large scale bound constrained
 optimization (2011), to appear in ACM Transactions on Mathematical
 Software.

Package: liblbfgsb-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Limited-memory quasi-Newton bound-constrained optimization (documentation)
 Fortran library implementing limited-memory quasi-Newton
 bound-constrained optimization as described in [1,2,3].
 .
 This package contains the documentation describing the library and
 algorithm.
 .
 [1] R. H. Byrd, P. Lu and J. Nocedal. A Limited Memory Algorithm for
 Bound Constrained Optimization, (1995), SIAM Journal on Scientific
 and Statistical Computing , 16, 5, pp. 1190-1208.
 .
 [2] C. Zhu, R. H. Byrd and J. Nocedal. L-BFGS-B: Algorithm 778:
 L-BFGS-B, FORTRAN routines for large scale bound constrained
 optimization (1997), ACM Transactions on Mathematical Software, Vol
 23, Num. 4, pp. 550 - 560.
 .
 [3] J.L. Morales and J. Nocedal. L-BFGS-B: Remark on Algorithm 778:
 L-BFGS-B, FORTRAN routines for large scale bound constrained
 optimization (2011), to appear in ACM Transactions on Mathematical
 Software.

Package: liblbfgsb-examples
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Limited-memory quasi-Newton bound-constrained optimization (examples)
 Fortran library implementing limited-memory quasi-Newton
 bound-constrained optimization as described in [1,2,3].
 .
 This package contains some example programs, their source code and
 example output as provided by upstream.
 .
 [1] R. H. Byrd, P. Lu and J. Nocedal. A Limited Memory Algorithm for
 Bound Constrained Optimization, (1995), SIAM Journal on Scientific
 and Statistical Computing , 16, 5, pp. 1190-1208.
 .
 [2] C. Zhu, R. H. Byrd and J. Nocedal. L-BFGS-B: Algorithm 778:
 L-BFGS-B, FORTRAN routines for large scale bound constrained
 optimization (1997), ACM Transactions on Mathematical Software, Vol
 23, Num. 4, pp. 550 - 560.
 .
 [3] J.L. Morales and J. Nocedal. L-BFGS-B: Remark on Algorithm 778:
 L-BFGS-B, FORTRAN routines for large scale bound constrained
 optimization (2011), to appear in ACM Transactions on Mathematical
 Software.

## lbfgsb 3.0+dfsg.1

=== debian/control ===
Source: lbfgsb
Maintainer: Gard Spreemann <gspreemann@gmail.com>
Section: math
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), gfortran, libblas-dev, liblapack-dev
Homepage: http://users.iems.northwestern.edu/~nocedal/lbfgsb.html

Package: liblbfgsb0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Limited-memory quasi-Newton bound-constrained optimization
 Fortran library implementing limited-memory quasi-Newton
 bound-constrained optimization as described in [1,2,3].
 .
 This package contains the library itself.
 .
 [1] R. H. Byrd, P. Lu and J. Nocedal. A Limited Memory Algorithm for
 Bound Constrained Optimization, (1995), SIAM Journal on Scientific
 and Statistical Computing , 16, 5, pp. 1190-1208.
 .
 [2] C. Zhu, R. H. Byrd and J. Nocedal. L-BFGS-B: Algorithm 778:
 L-BFGS-B, FORTRAN routines for large scale bound constrained
 optimization (1997), ACM Transactions on Mathematical Software, Vol
 23, Num. 4, pp. 550 - 560.
 .
 [3] J.L. Morales and J. Nocedal. L-BFGS-B: Remark on Algorithm 778:
 L-BFGS-B, FORTRAN routines for large scale bound constrained
 optimization (2011), to appear in ACM Transactions on Mathematical
 Software.

Package: liblbfgsb-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liblbfgsb0 (= ${binary:Version})
Description: Limited-memory quasi-Newton bound-constrained optimization (static library)
 Fortran library implementing limited-memory quasi-Newton
 bound-constrained optimization as described in [1,2,3].
 .
 This package contains the static library.
 .
 [1] R. H. Byrd, P. Lu and J. Nocedal. A Limited Memory Algorithm for
 Bound Constrained Optimization, (1995), SIAM Journal on Scientific
 and Statistical Computing , 16, 5, pp. 1190-1208.
 .
 [2] C. Zhu, R. H. Byrd and J. Nocedal. L-BFGS-B: Algorithm 778:
 L-BFGS-B, FORTRAN routines for large scale bound constrained
 optimization (1997), ACM Transactions on Mathematical Software, Vol
 23, Num. 4, pp. 550 - 560.
 .
 [3] J.L. Morales and J. Nocedal. L-BFGS-B: Remark on Algorithm 778:
 L-BFGS-B, FORTRAN routines for large scale bound constrained
 optimization (2011), to appear in ACM Transactions on Mathematical
 Software.

=== debian/rules ===
#!/usr/bin/make -f

SONAME=liblbfgsb.so.0

%:
	dh $@

override_dh_auto_build:
	mkdir -p build
	gfortran $(FCFLAGS) -fPIC -o build/lbfgsb.o -c lbfgsb.f
	gfortran $(FCFLAGS) -fPIC -o build/timer.o -c timer.f
	gfortran $(FCFLAGS) -shared $(LDFLAGS),-soname,$(SONAME) \
		 -o build/$(SONAME) build/lbfgsb.o build/timer.o \
		 -lblas -llapack
	ar cr build/liblbfgsb.a build/lbfgsb.o build/timer.o
	ln -s $(SONAME) build/liblbfgsb.so

override_dh_auto_clean:
	rm -rf build
	dh_auto_clean

override_dh_compress:
	dh_compress -X.pdf

## lbfgsb 3.0+dfsg.2

=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg\.\d+$//,filenamemangle=s/\S+\/v?(\S+)\.tar\.gz/lbfgsb-$1\.tar\.gz/" \
   http://users.iems.northwestern.edu/~nocedal/lbfgsb.html \
   Software/Lbfgsb\.(.+)\.tar\.(?:bz2|gz|xz) \
   debian debian/repack

## lbfgsb 3.0+dfsg.3

=== debian/changelog ===
lbfgsb (3.0+dfsg.3-9) unstable; urgency=medium

  * New-style dh compat level.
  * Add patch based on SciPy to prevent bounds violation. (Closes: #966448)
  * Let gbp cosmetically reformat patches.
  * Add patch based on SciPy to fix NaN propagation.
  * Add patches based on SciPy to prevent time printing and log files.
  * Move to Salsa.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 30 Jul 2020 11:01:06 +0200

lbfgsb (3.0+dfsg.3-8) unstable; urgency=medium

  * Relax compilation flags for tests to allow them to run on more
    architectures.
  * Standards-version 4.5.0. No changes needed.
  * Avoid build-depending on dh-exec, requires dh 13.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 23 Apr 2020 23:21:49 +0200

lbfgsb (3.0+dfsg.3-7) unstable; urgency=medium

  * Man page stub for -examples package.
  * Add superficial test that just checks that the upstream examples run.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 26 Aug 2019 17:20:47 +0200

lbfgsb (3.0+dfsg.3-6) unstable; urgency=medium

  * Reorder linking flag for tests.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 21 Aug 2019 09:55:26 +0200

lbfgsb (3.0+dfsg.3-5) unstable; urgency=medium

  * Remove broken symbols file.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 18 Jul 2019 13:48:32 +0200

lbfgsb (3.0+dfsg.3-4) unstable; urgency=medium

  * Standards-version 4.4.0. No changes needed.
  * Compat level 12.
  * Add symbols file.
  * Rules-Requires-Root: no
  * Change maintainer email address.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 17 Jul 2019 09:03:37 +0200

lbfgsb (3.0+dfsg.3-3) unstable; urgency=medium

  * Statically linked test binary should link with LAPACK.
  * Allow tests to print to stderr.

 -- Gard Spreemann <gspreemann@gmail.com>  Sun, 17 Jun 2018 23:58:46 +0200

lbfgsb (3.0+dfsg.3-2) unstable; urgency=medium

  * compat level 10.
  * Standards-version 4.1.4. No changes needed.
  * Introduce tests.
  * Correct installation path for -doc package.
  * Install doc-base control file.

 -- Gard Spreemann <gspreemann@gmail.com>  Wed, 13 Jun 2018 10:43:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: lbfgsb
-Maintainer: Gard Spreemann <gspreemann@gmail.com>
+Maintainer: Gard Spreemann <gspr@nonempty.org>
 Section: math
 Priority: optional
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), gfortran, libblas-dev, liblapack-dev
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), gfortran, libblas-dev, liblapack-dev
+Rules-Requires-Root: no
 Homepage: http://users.iems.northwestern.edu/~nocedal/lbfgsb.html
+Vcs-Browser: https://salsa.debian.org/gspr/lbfgsb
+Vcs-Git: https://salsa.debian.org/gspr/lbfgsb.git -b debian/sid
 
 Package: liblbfgsb0
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Limited-memory quasi-Newton bound-constrained optimization
  Fortran library implementing limited-memory quasi-Newton
@@ -33,7 +37,9 @@
 Package: liblbfgsb-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, liblbfgsb0 (= ${binary:Version})
+Suggests: liblbfgsb-doc, liblbfgsb-examples
 Description: Limited-memory quasi-Newton bound-constrained optimization (static library)
  Fortran library implementing limited-memory quasi-Newton
  bound-constrained optimization as described in [1,2,3].
@@ -53,3 +59,54 @@
  L-BFGS-B, FORTRAN routines for large scale bound constrained
  optimization (2011), to appear in ACM Transactions on Mathematical
  Software.
+
+Package: liblbfgsb-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: Limited-memory quasi-Newton bound-constrained optimization (documentation)
+ Fortran library implementing limited-memory quasi-Newton
+ bound-constrained optimization as described in [1,2,3].
+ .
+ This package contains the documentation describing the library and
+ algorithm.
+ .
+ [1] R. H. Byrd, P. Lu and J. Nocedal. A Limited Memory Algorithm for
+ Bound Constrained Optimization, (1995), SIAM Journal on Scientific
+ and Statistical Computing , 16, 5, pp. 1190-1208.
+ .
+ [2] C. Zhu, R. H. Byrd and J. Nocedal. L-BFGS-B: Algorithm 778:
+ L-BFGS-B, FORTRAN routines for large scale bound constrained
+ optimization (1997), ACM Transactions on Mathematical Software, Vol
+ 23, Num. 4, pp. 550 - 560.
+ .
+ [3] J.L. Morales and J. Nocedal. L-BFGS-B: Remark on Algorithm 778:
+ L-BFGS-B, FORTRAN routines for large scale bound constrained
+ optimization (2011), to appear in ACM Transactions on Mathematical
+ Software.
+
+Package: liblbfgsb-examples
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Limited-memory quasi-Newton bound-constrained optimization (examples)
+ Fortran library implementing limited-memory quasi-Newton
+ bound-constrained optimization as described in [1,2,3].
+ .
+ This package contains some example programs, their source code and
+ example output as provided by upstream.
+ .
+ [1] R. H. Byrd, P. Lu and J. Nocedal. A Limited Memory Algorithm for
+ Bound Constrained Optimization, (1995), SIAM Journal on Scientific
+ and Statistical Computing , 16, 5, pp. 1190-1208.
+ .
+ [2] C. Zhu, R. H. Byrd and J. Nocedal. L-BFGS-B: Algorithm 778:
+ L-BFGS-B, FORTRAN routines for large scale bound constrained
+ optimization (1997), ACM Transactions on Mathematical Software, Vol
+ 23, Num. 4, pp. 550 - 560.
+ .
+ [3] J.L. Morales and J. Nocedal. L-BFGS-B: Remark on Algorithm 778:
+ L-BFGS-B, FORTRAN routines for large scale bound constrained
+ optimization (2011), to appear in ACM Transactions on Mathematical
+ Software.

=== debian/rules ===
#!/usr/bin/make -f

SONAME=liblbfgsb.so.0

# Enable hardening, but remove pie flag since we're building a shared
# object.  See also
# https://lists.debian.org/debian-devel/2013/01/msg00225.html.
MAINTOPTS = hardening=+all,-pie
FCFLAGS:=$(shell DEB_BUILD_MAINT_OPTIONS=$(MAINTOPTS) dpkg-buildflags --get FCFLAGS)
LDFLAGS:=$(shell DEB_BUILD_MAINT_OPTIONS=$(MAINTOPTS) dpkg-buildflags --get LDFLAGS)

MAINTOPTS_EX = hardening=+all
FCFLAGS_EX:=$(shell DEB_BUILD_MAINT_OPTIONS=$(MAINTOPTS_EX) dpkg-buildflags --get FCFLAGS)
LDFLAGS_EX:=$(shell DEB_BUILD_MAINT_OPTIONS=$(MAINTOPTS_EX) dpkg-buildflags --get LDFLAGS)

%:
	dh $@

build/%.o: %.f
	gfortran $(FCFLAGS) -fPIC -o $@ -c $<

build/liblbfgsb.so: build/lbfgsb.o build/timer.o
	gfortran $(FCFLAGS) -shared $(LDFLAGS) -Wl,-soname,$(SONAME) \
		 -o build/$(SONAME) $^ -lblas -llapack
	ln -s $(SONAME) $@

build/liblbfgsb.a: build/lbfgsb.o build/timer.o
	ar cr $@ $^

build/lbfgsb-examples_driver1_77: driver1.f build/liblbfgsb.so
	gfortran $(FCFLAGS_EX) $(LDFLAGS_EX) -o $@ $< -llbfgsb -Lbuild

build/lbfgsb-examples_driver1_90: driver1.f90 build/liblbfgsb.so
	gfortran $(FCFLAGS_EX) $(LDFLAGS_EX) -o $@ $< -llbfgsb -Lbuild

build/lbfgsb-examples_driver2_77: driver2.f build/liblbfgsb.so
	gfortran $(FCFLAGS_EX) $(LDFLAGS_EX) -o $@ $< -llbfgsb -Lbuild

build/lbfgsb-examples_driver2_90: driver2.f90 build/liblbfgsb.so
	gfortran $(FCFLAGS_EX) $(LDFLAGS_EX) -o $@ $< -llbfgsb -Lbuild

build/lbfgsb-examples_driver3_77: driver3.f build/liblbfgsb.so
	gfortran $(FCFLAGS_EX) $(LDFLAGS_EX) -o $@ $< -llbfgsb -Lbuild

build/lbfgsb-examples_driver3_90: driver3.f90 build/liblbfgsb.so
	gfortran $(FCFLAGS_EX) $(LDFLAGS_EX) -o $@ $< -llbfgsb -Lbuild

execute_before_dh_auto_build:
	mkdir -p build

override_dh_auto_build: build/liblbfgsb.so build/liblbfgsb.a \
 build/lbfgsb-examples_driver1_77 build/lbfgsb-examples_driver1_90 \
 build/lbfgsb-examples_driver2_77 build/lbfgsb-examples_driver2_90 \
 build/lbfgsb-examples_driver3_77 build/lbfgsb-examples_driver3_90

execute_before_dh_auto_clean:
	rm -rf build

override_dh_compress:
	dh_compress -X.pdf -X.f -X.f90 -Xoutput_

=== debian/tests/control ===
Tests: tests.sh
Depends: gfortran, libblas-dev, liblapack-dev, liblbfgsb-dev, shunit2
Restrictions: allow-stderr

Tests: examples-superficial-tests.sh
Depends: liblbfgsb-examples, shunit2
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg\.\d+$//,filenamemangle=s/\S+\/v?(\S+)\.tar\.gz/lbfgsb-$1\.tar\.gz/" \
   http://users.iems.northwestern.edu/~nocedal/lbfgsb.html \
   Software/Lbfgsb\.(.+)\.tar\.(?:bz2|gz|xz)

## lbfgsb 3.0+dfsg.4

=== debian/changelog ===
lbfgsb (3.0+dfsg.4-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:53:40 +0200

lbfgsb (3.0+dfsg.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use https in upstream metadata.
  * Remove duplicate field in upstream metadata.

  [ Gard Spreemann ]
  * New DFSG repack without upstream's PDFs. This is due to doubts about
    whether upstream intends these to be under the BSD-3-clause
    license. Moreover, as already typeset PDFs, they are not in a
    preferred form for modification.
  * Drop liblbfgsb-doc binary that used to ship said PDFs.
  * Install README with liblbfgsb-dev.
  * Standards-version 4.6.2.0. No changes needed.
  * Clean up watch file.

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 28 Feb 2023 20:13:22 +0100

lbfgsb (3.0+dfsg.3-11) unstable; urgency=medium

  * Simplify build flags. (Closes: #1015469)
  * Standards-version 4.6.1.0. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 20 Jul 2022 13:24:01 +0200

lbfgsb (3.0+dfsg.3-10) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Gard Spreemann ]
  * Standards-version 4.6.0.1. No changes needed.
  * Started upstream metadata.
  * Change log file disabling patch to preserve upstream ABI.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 13 Dec 2021 15:11:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: lbfgsb
-Maintainer: Gard Spreemann <gspr@nonempty.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gard Spreemann <gspr@nonempty.org>
 Section: math
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2.0
 Build-Depends: debhelper-compat (= 13), gfortran, libblas-dev, liblapack-dev
 Rules-Requires-Root: no
-Homepage: http://users.iems.northwestern.edu/~nocedal/lbfgsb.html
+Homepage: https://users.iems.northwestern.edu/~nocedal/lbfgsb.html
 Vcs-Browser: https://salsa.debian.org/gspr/lbfgsb
 Vcs-Git: https://salsa.debian.org/gspr/lbfgsb.git -b debian/sid
 
@@ -60,32 +61,6 @@
  optimization (2011), to appear in ACM Transactions on Mathematical
  Software.
 
-Package: liblbfgsb-doc
-Section: doc
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Description: Limited-memory quasi-Newton bound-constrained optimization (documentation)
- Fortran library implementing limited-memory quasi-Newton
- bound-constrained optimization as described in [1,2,3].
- .
- This package contains the documentation describing the library and
- algorithm.
- .
- [1] R. H. Byrd, P. Lu and J. Nocedal. A Limited Memory Algorithm for
- Bound Constrained Optimization, (1995), SIAM Journal on Scientific
- and Statistical Computing , 16, 5, pp. 1190-1208.
- .
- [2] C. Zhu, R. H. Byrd and J. Nocedal. L-BFGS-B: Algorithm 778:
- L-BFGS-B, FORTRAN routines for large scale bound constrained
- optimization (1997), ACM Transactions on Mathematical Software, Vol
- 23, Num. 4, pp. 550 - 560.
- .
- [3] J.L. Morales and J. Nocedal. L-BFGS-B: Remark on Algorithm 778:
- L-BFGS-B, FORTRAN routines for large scale bound constrained
- optimization (2011), to appear in ACM Transactions on Mathematical
- Software.
-
 Package: liblbfgsb-examples
 Section: libs
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

SONAME=liblbfgsb.so.0

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

build/%.o: %.f
	gfortran $(FCFLAGS) -fPIC -o $@ -c $<

build/liblbfgsb.so: build/lbfgsb.o build/timer.o
	gfortran $(FCFLAGS) -shared $(LDFLAGS) -Wl,-soname,$(SONAME) \
		 -o build/$(SONAME) $^ -lblas -llapack
	ln -s $(SONAME) $@

build/liblbfgsb.a: build/lbfgsb.o build/timer.o
	ar cr $@ $^

build/lbfgsb-examples_driver1_77: driver1.f build/liblbfgsb.so
	gfortran $(FCFLAGS) $(LDFLAGS) -o $@ $< -llbfgsb -Lbuild

build/lbfgsb-examples_driver1_90: driver1.f90 build/liblbfgsb.so
	gfortran $(FCFLAGS) $(LDFLAGS) -o $@ $< -llbfgsb -Lbuild

build/lbfgsb-examples_driver2_77: driver2.f build/liblbfgsb.so
	gfortran $(FCFLAGS) $(LDFLAGS) -o $@ $< -llbfgsb -Lbuild

build/lbfgsb-examples_driver2_90: driver2.f90 build/liblbfgsb.so
	gfortran $(FCFLAGS) $(LDFLAGS) -o $@ $< -llbfgsb -Lbuild

build/lbfgsb-examples_driver3_77: driver3.f build/liblbfgsb.so
	gfortran $(FCFLAGS) $(LDFLAGS) -o $@ $< -llbfgsb -Lbuild

build/lbfgsb-examples_driver3_90: driver3.f90 build/liblbfgsb.so
	gfortran $(FCFLAGS) $(LDFLAGS) -o $@ $< -llbfgsb -Lbuild

execute_before_dh_auto_build:
	mkdir -p build

override_dh_auto_build: build/liblbfgsb.so build/liblbfgsb.a \
 build/lbfgsb-examples_driver1_77 build/lbfgsb-examples_driver1_90 \
 build/lbfgsb-examples_driver2_77 build/lbfgsb-examples_driver2_90 \
 build/lbfgsb-examples_driver3_77 build/lbfgsb-examples_driver3_90

execute_before_dh_auto_clean:
	rm -rf build

override_dh_compress:
	dh_compress -X.f -X.f90 -Xoutput_
